//bcc32 -W -O2 -c clear.cpp

#include <windows.h>
#include "lan.h"

BOOL ChkDire(int part, int dire);
void SearchConnect(int part, int *dire1, int *dire2);
int ChkPC_Num();	//p\R̐𐔂

BOOL ChkClear()
{
	int i;
	POINT pt;
	int dire;	//̍Ō̌
	int pc_num;	//p\R̐iX^[gƃS[͏)
	int pc_num_c = 0; //ۂ̃p\R̐
	
	pt.x = -1;
	pt.y = 0;
	
	int dire1 = RIGHT;
	int dire2, d1, d2;
	
	pc_num = ChkPC_Num();
	
	for (i=0; i<64; i++) {
		
		if (parts[pt.x][pt.y] == PC_H || parts[pt.x][pt.y] == PC_V)
			pc_num_c++;
		
		 switch(dire1) {
			case TOP:
				pt.y--;
				dire2 = BOTTOM;
				break;
			case BOTTOM:
				pt.y++;
				dire2 = TOP;
				break;
			case LEFT:
				pt.x--;
				dire2 = RIGHT;
				break;
			case RIGHT:
				pt.x++;
				dire2 = LEFT;
				break;
		}
		
		if (pt.x < 0 || pt.x > 5 || pt.y < 0 || pt.y > 5)
			return FALSE;
		
		if (parts[pt.x][pt.y] == NO)
			return FALSE;
		
		if (!ChkDire(parts[pt.x][pt.y], dire2))
			return FALSE;
		
		SearchConnect(parts[pt.x][pt.y], &d1, &d2);
		
		if (d1 == dire2)
			dire1 = d2;
		else
			dire1 = d1;
				
		if (pt.x == 5 && pt.y == 5) {
			if (ChkDire(parts[5][5], RIGHT)) {
				if (pc_num == pc_num_c)			
					return TRUE;
			}
		}
	}
	
	return FALSE;
}

BOOL ChkDire(int part, int dire)		// dire ̕ɐ TRUE
{
	int i;
	int top[4] = {TtoL, TtoB, TtoR, PC_V};
	int left[4] = {LtoT, LtoB, LtoR, PC_H};
	int right[4] = {RtoT, RtoL, RtoB, PC_H};
	int bottom[4] = {BtoR, BtoT, BtoL, PC_V};
	
	switch (dire) {						//dire1@̕ɐ邩`FbN
		case TOP:
			for (i=0; i<4; i++) {
				if (top[i] == part)
					return TRUE;
			}
			break;
		case LEFT:
			for (i=0; i<4; i++) {
				if (left[i] == part)
					return TRUE;
			}
			break;
		case RIGHT:
			for (i=0; i<4; i++) {
				if (right[i] == part)
					return TRUE;
			}
			break;
		case BOTTOM:
			for (i=0; i<4; i++) {
				if (bottom[i] == part)
					return TRUE;
			}
			break;			
	}
	
	return FALSE;
}

void SearchConnect(int part, int *dire1, int *dire2)	// part  dire1,2@ɓ
{
	int i;
	int pattern[8] = {TtoL, LtoB, BtoR, RtoT, TtoB, LtoR, PC_H, PC_V};
	int direction1[8] = {TOP, LEFT, BOTTOM, RIGHT, TOP, LEFT, LEFT, TOP};
	int direction2[8] = {LEFT, BOTTOM, RIGHT, TOP, BOTTOM, RIGHT, RIGHT, BOTTOM};
	
	for (i=0; i<8; i++) {
		if (part == pattern[i]) {
			*dire1 = direction1[i];
			*dire2 = direction2[i];
		}
	}
	
	return;
}

LRESULT CALLBACK ClearDlgProc(HWND hWnd, UINT msg, WPARAM wp, LPARAM lp)
{
	switch (msg) {
		case WM_INITDIALOG:
			SendMessage(GetDlgItem(hWnd, IDC_CHECK1), BM_SETCHECK, (WPARAM)bNewQ, 0);
			Sleep(200);	//J`bƌI܂ő҂I
			MessageBeep(MB_ICONWARNING);
			break;
			
		case WM_COMMAND:
			switch (LOWORD(wp)) {
				case IDYES:
					
					if (IsDlgButtonChecked(hWnd, IDC_CHECK1) == BST_CHECKED) {
						bNewQ = TRUE;
					} else {
						bNewQ = FALSE;
					}
					
					EndDialog(hWnd, IDYES);
					break;
				case IDCANCEL:
				case IDNO:
					EndDialog(hWnd, IDCANCEL);
					break;
				default:
					return FALSE;
			}
		default:
			return FALSE;
	}
	return TRUE;
}

int ChkPC_Num()
{
	int i, j, c = 0;
	
	for (i=0; i<6; i++) {
		for (j=0; j<6; j++) {
			if (parts[i][j] == PC_H || parts[i][j] == PC_V)
				c++;
		}
	}
	
	return c;
}