//bcc32 -W -c -O2 cursor.cpp

#include <windows.h>
#include "lan.h"

HCURSOR hUpCur, hDownCur, hLeftCur, hRightCur;

void OnMouseMove(LPARAM lp)
{
	int x, y, dire;
	
	x = LOWORD(lp);
	y = HIWORD(lp);
	
	x = (x-60)/40;
	y = (y-20)/40;
	
	if (x < 0 || x > 5 || y < 0 || y >5)
		return;
	
	dire = CanMove(x, y);
	
	switch (dire) {
		case TOP:
			SetCursor(hUpCur);
			break;
		case BOTTOM:
			SetCursor(hDownCur);
			break;
		case LEFT:
			SetCursor(hLeftCur);
			break;
		case RIGHT:
			SetCursor(hRightCur);
			break;
		default:
			SetCursor(LoadCursor(NULL, IDC_ARROW));
			break;
	}
	
	return;
}