
enum {TtoL=0, LtoB, BtoR, RtoT, TtoB, LtoR, PC_V, PC_H, NO};
enum {LtoT=0, BtoL, RtoB, TtoR, BtoT, RtoL};
enum {DONT_MOVE = 0, LEFT, RIGHT, TOP, BOTTOM};
enum {COM, SIMPLE};

typedef struct _PASS_TIME
{
	int hour;
	int minute;
	int second;
} PASS_TIME;

#define PARTS_W		(40)
#define PARTS_H		(40)

#define IDM_END		1000
#define IDM_START	1010
#define IDM_SND		1020
#define IDM_RETRAY	1030
#define IDM_1		1041
#define IDM_2		1042
#define IDM_3		1043
#define IDM_4		1044
#define IDM_RND		1050
#define IDM_SIMPLE	1060
#define IDM_COM		1070
#define IDM_HLP		1080
#define IDM_VER		1090

#define IDC_CHECK1	2000
#define IDC_STATIC	2010
#define IDC_BMP		2020
#define IDC_USERNAME	2030

#define ID_TIMER	100

#define RANDOM		99

extern int parts[6][6];
extern BOOL bMove[6][6];
extern HBITMAP hPartsBmp, hPCBmp;
extern HINSTANCE hInst;
extern HCURSOR hUpCur, hDownCur, hLeftCur, hRightCur;
extern BOOL bSound;
extern int level, click, move, pic_type;
extern PASS_TIME pass_time;	//oߎ
extern HWND hScoreWnd;
extern HBRUSH hScoreBrush;
extern HFONT hScoreFont;
extern int unsort_num;
extern BOOL bNewQ;		//V肩ǂ
extern char UserName[256];

/*	function	*/

void MyPaint(HWND);
void OnLButtonDown(HWND, LPARAM);
void Unsort(HWND);
BOOL ChkClear();
void OnMouseMove(LPARAM);
int CanMove(int, int);
void CreateQuestion(HWND);
LRESULT CALLBACK ClearDlgProc(HWND, UINT, WPARAM, LPARAM);
void InitScore(void);
BOOL CreateScoreWindow(HWND);
void SetTimer(void);
void CreateMyTimer(HWND);	//^C}[̍쐬
void DeleteMyTimer(HWND);	//^C}[̍폜
BOOL WriteReg(void);
BOOL ReadReg(void);
void UnInstall(void);