#include <windows.h>
#include "lan.h"

#define QUESTION_NUM		9

char q_parts[9][6][6] = {					//exR
	{
	{LtoR, NO,   NO,   NO,   NO,   NO  },
	{LtoR, NO,   BtoR, PC_V, TtoR, NO  },
	{LtoR, NO,   LtoB, TtoR, LtoB, TtoR},
	{LtoR, NO,   BtoR, LtoT, NO,   PC_H},
	{LtoR, NO,   LtoR, BtoR, TtoB, TtoL},
	{LtoB, TtoB, TtoL, LtoB, TtoB, TtoR}
	}, {
	{LtoB, RtoT, NO,   NO,   NO,   NO  },
	{NO,   LtoB, RtoT, NO,   NO,   NO  },
	{NO,   NO,   LtoB, RtoT, TtoB, NO  },
	{NO,   NO,   LtoT, BtoL, TtoR, NO  },
	{NO,   NO,   NO,   RtoB, LtoB, TtoR},
	{NO,   NO,   NO,   NO,   NO,   RtoL}
	}, {
	{RtoL, NO,   NO,   NO,   NO,   NO  },
	{RtoL, NO,   RtoB, PC_V, TtoR, NO  },
	{RtoL, NO,   RtoL, BtoR, TtoL, NO  },
	{RtoL, NO,   RtoL, RtoL, NO,   NO  },
	{RtoL, NO,   RtoL, BtoL, TtoR, NO  },
	{LtoB, TtoB, TtoL, NO,   BtoL, TtoR}	
	}, {
	{LtoB, TtoB, RtoT, NO,   BtoR, TtoR},
	{NO,   BtoR, LtoT, LtoT, RtoL, RtoL},
	{NO,   BtoL, TtoB, TtoB, TtoL, RtoL},
	{BtoR, TtoB, TtoB, TtoB, BtoT, LtoT},
	{LtoR, NO,   BtoR, TtoR, BtoR, TtoR},
	{LtoB, TtoB, TtoL, LtoB, LtoT, LtoR}
	}, {
	{LtoR, RtoB, PC_V, RtoT, NO,   NO  },
	{LtoR, LtoR, NO,   LtoB, RtoT, NO  },
	{LtoR, LtoB, RtoT, RtoB, LtoT, NO  },
	{LtoR, RtoB, LtoT, LtoR, RtoB, RtoT},
	{LtoR, LtoR, RtoB, LtoT, LtoR, LtoR},
	{LtoB, LtoT, LtoB, PC_V, LtoT, LtoR}
	}, {
	{LtoB, RtoT, NO,   NO,   NO,   NO  },
	{NO,   PC_H, NO,   BtoR, TtoR, NO  },
	{NO,   LtoB, RtoT, LtoR, PC_H, NO  },
	{NO,   RtoB, LtoT, PC_H, LtoR, NO  },
	{NO,   LtoB, BtoT, LtoT, PC_H, NO  },
	{NO,   NO,   NO,   NO,   LtoB, RtoT}
	}, {
	{LtoR, RtoB, RtoT, NO,   NO,   NO  },
	{LtoR, LtoB, LtoT, BtoR, LtoB, NO  },
	{LtoR, RtoB, BtoT, RtoT, LtoT, NO  },
	{LtoB, LtoT, LtoB, LtoB, BtoT, RtoT},
	{NO,   NO,   NO,   LtoT, LtoB, LtoR},
	{NO,   NO,   NO,   NO,   RtoB, LtoR}
	}, {
	{LtoR, RtoB, RtoT, RtoB, RtoT, NO  },
	{LtoR, LtoB, BtoR, LtoT, LtoB, RtoT},
	{LtoB, PC_V, LtoT, LtoT, NO,   PC_H},
	{RtoB, RtoT, RtoB, RtoT, RtoB, LtoT},
	{LtoR, LtoB, LtoT, LtoB, LtoT, NO  },
	{LtoB, TtoB, TtoB, TtoB, TtoB, TtoR}
	}, {
	{BtoL, TtoB, TtoB, TtoB, TtoB, TtoR},
	{NO,   RtoB, RtoT, RtoB, TtoB, TtoL},
	{RtoB, TtoL, BtoL, TtoL, RtoL, TtoL},
	{PC_H, RtoL, RtoB, TtoR, RtoL, NO  },
	{BtoL, TtoB, TtoL, BtoL, TtoB, TtoR},
	{NO,   NO,   NO,   NO,   NO,   RtoL}	
	}
};

char q_bMove[9][6][6] = {
	{
	{0, 0, 0, 0, 0, 0},
	{0, 0, 0, 0, 0, 0},
	{0, 0, 1, 1, 1, 0},
	{0, 0, 1, 1, 1, 0},
	{0, 0, 1, 1, 1, 0},
	{0, 0, 0, 0, 0, 0}
	}, {
	{0, 0, 0, 0, 0, 0},
	{0, 0, 0, 0, 0, 0},
	{0, 0, 1, 1, 1, 0},
	{0, 0, 1, 1, 1, 0},
	{0, 0, 1, 1, 1, 0},
	{0, 0, 0, 0, 0, 0}
	}, {
	{0, 0, 0, 0, 0, 0},
	{0, 0, 0, 0, 0, 0},
	{0, 0, 1, 1, 1, 0},
	{0, 0, 1, 1, 1, 0},
	{0, 0, 1, 1, 1, 0},
	{0, 0, 0, 0, 0, 0}
	}, {
	{0, 0, 0, 0, 0, 0},
	{0, 1, 1, 1, 1, 0},
	{0, 1, 1, 1, 1, 0},
	{0, 1, 1, 1, 1, 0},
	{0, 1, 1, 1, 1, 0},
	{0, 0, 0, 0, 0, 0}
	}, {
	{0, 0, 0, 0, 0, 0},
	{0, 1, 1, 1, 1, 0},
	{0, 1, 1, 1, 1, 0},
	{0, 1, 1, 1, 1, 0},
	{0, 1, 1, 1, 1, 0},
	{0, 0, 0, 0, 0, 0}
	}, {
	{0, 0, 0, 0, 0, 0},
	{0, 1, 1, 1, 1, 0},
	{0, 1, 1, 1, 1, 0},
	{0, 1, 1, 1, 1, 0},
	{0, 1, 1, 1, 1, 0},
	{0, 0, 0, 0, 0, 0}
	}, {
	{1, 1, 1, 0, 0, 0},
	{1, 1, 1, 1, 1, 0},
	{1, 1, 1, 1, 1, 0},
	{0, 0, 1, 1, 1, 1},
	{0, 0, 0, 1, 1, 1},
	{0, 0, 0, 1, 1, 1}
	}, {
	{1, 1, 1, 1, 1, 0},
	{1, 1, 1, 1, 1, 0},
	{0, 0, 0, 1, 1, 0},
	{1, 1, 1, 1, 1, 0},
	{1, 1, 1, 1, 1, 0},
	{0, 0, 0, 0, 0, 0}
	}, {
	{0, 0, 0, 0, 0, 0},
	{0, 1, 1, 1, 1, 0},
	{0, 1, 0, 0, 1, 1},
	{0, 1, 0, 0, 1, 1},
	{0, 1, 1, 1, 1, 0},
	{0, 0, 0, 0, 0, 0}
	}
};