#include <windows.h>
#include "lan.h"

BOOL WriteReg(void)
{
	HKEY hKey;
	DWORD dwPosition;
	
	RegCreateKeyEx(HKEY_CURRENT_USER,
		"Software\\Kusano\\Connect",
		0, 
		"",
		REG_OPTION_NON_VOLATILE,
		KEY_ALL_ACCESS,
		NULL,
		&hKey,
		&dwPosition);
	RegSetValueEx(hKey,
		"level",
		0,
		REG_DWORD,
		(CONST BYTE *)&level,
		sizeof(int));
	RegSetValueEx(hKey,
		"pic_type",
		0,
		REG_DWORD,
		(CONST BYTE *)&pic_type,
		sizeof(int));
	RegSetValueEx(hKey,
		"New_Q",
		0,
		REG_DWORD,
		(CONST BYTE *)&bNewQ,
		sizeof(BOOL));
	RegSetValueEx(hKey,
		"Sound",
		0,
		REG_DWORD,
		(CONST BYTE *)&bSound,
		sizeof(BOOL));
	RegCloseKey(hKey);
	return TRUE;
}

BOOL ReadReg(void)
{
	HKEY hKey;
	DWORD dwPosition;
	DWORD dwType = REG_DWORD;
	DWORD dwTypeS = REG_SZ;
	DWORD dwByte_I = 32;
	DWORD dwByte_B = 16;
	DWORD dwByte_S = 2048;
	
	RegCreateKeyEx(HKEY_CURRENT_USER,
		"Software\\Kusano\\Connect",
		0, 
		"",
		REG_OPTION_NON_VOLATILE,
		KEY_ALL_ACCESS,
		NULL,
		&hKey,
		&dwPosition);
	RegQueryValueEx(hKey,
		"level",
		NULL,
		&dwType,
		(BYTE *)&level,
		&dwByte_I);
	RegQueryValueEx(hKey,
		"pic_type",
		NULL,
		&dwType,
		(BYTE *)&pic_type,
		&dwByte_I);
	RegQueryValueEx(hKey,
		"New_Q",
		NULL,
		&dwType,
		(BYTE *)&bNewQ,
		&dwByte_B);
	RegQueryValueEx(hKey,
		"Sound",
		NULL,
		&dwType,
		(BYTE *)&bSound,
		&dwByte_B);
	RegQueryValueEx(hKey,
		"UserName",
		NULL,
		&dwTypeS,
		(BYTE *)&UserName,
		&dwByte_S);
	RegCloseKey(hKey);
		
	return TRUE;
}