//bcc32 -W -O2 -c draw.cpp

#include <windows.h>
#include <string.h>
#include "lan.h"

void MyPaint(HWND hWnd)
{
	int i, j, bmp_t;
	HDC hdc, hmdc;
	PAINTSTRUCT ps;
	
	hdc = BeginPaint(hWnd, &ps);
	hmdc = CreateCompatibleDC(hdc);
	
	/*** p\R̕`  ***/
	
	SelectObject(hmdc, hPCBmp);
	
	switch (pic_type) {
		case SIMPLE:
			bmp_t = 0;
			break;
		case COM:
			bmp_t = 40;
			break;
		default:
			MessageBox(hWnd, "Error -draw-", "Error", MB_OK | MB_ICONHAND);
	}
	
	BitBlt(hdc, 20, 20, 40, 40, hmdc, 0, bmp_t, SRCCOPY);
	BitBlt(hdc, PARTS_W*6+60, PARTS_H*5+20, 40, 40, hmdc, 40, bmp_t, SRCCOPY);
	
	/***  p[c̕`  ***/
	
	SelectObject(hmdc, hPartsBmp);
	
	switch (pic_type) {
		case SIMPLE:
			bmp_t = 0;
			break;
		case COM:
			bmp_t = PARTS_H * 2;
			break;
		default:
			MessageBox(hWnd, "Error -draw-", "Error", MB_OK | MB_ICONHAND);
	}
	
	for (i=0; i<6; i++) {
		for(j=0; j<6; j++) {
			
			if (bMove[i][j]) {	//邱܂
				BitBlt(hdc, i * PARTS_W + 60, j * PARTS_H + 20, PARTS_W, PARTS_H,
						hmdc, parts[i][j] * PARTS_W, bmp_t + 0, SRCCOPY);
			} else {
				BitBlt(hdc, i * PARTS_W + 60, j * PARTS_H + 20, PARTS_W, PARTS_H,
						hmdc, parts[i][j] * PARTS_W, bmp_t + PARTS_H, SRCCOPY);
			}
			
		}
	}
			
	DeleteDC(hmdc);
	EndPaint(hWnd, &ps);
	
	return;
}