//bcc32 -W -O2 -c move.cpp

#include "question.h"
#include <time.h>
#include <string.h>

int unsort_num = 1000;	//

BOOL NoPartsPos(POINT *);	//p[ĉȂꏊ𒲂ׂ
BOOL MoveParts(HWND hWnd, int x, int y, BOOL bDraw);	//x,ỹp[cړ

BOOL bNewQ = FALSE;		//V肩ǂ

void OnLButtonDown(HWND hWnd, LPARAM lp)
{
	int x, y, dir, i, id;
	POINT NoPt, MovePt;	// NoPartsPositionAMovePartsPosition
	RECT rc;
	char dialog_name[256];
	
	x = LOWORD(lp);
	y = HIWORD(lp);
	
	x = (x-60)/40;
	y = (y-20)/40;
	
	if (x < 0 || x > 5 || y < 0 || y > 5)
		return;
	
	if (MoveParts(hWnd, x, y, TRUE)) {
		
		CreateMyTimer(hWnd);
		
		click++;
		InvalidateRect(hScoreWnd, NULL, FALSE);
			
		if (bSound)
			sndPlaySound("move.wav", SND_ASYNC);		//ʉ
		
		if (ChkClear()) {
			
			DeleteMyTimer(hWnd);
			
			switch (pic_type) {
				case SIMPLE:
					strcpy(dialog_name, "CLEAR_DLG_SIMP");
					break;
				case COM:
					strcpy(dialog_name, "CLEAR_DLG_COM");
					break;
				defalut:
					MessageBox(hWnd, "Error -clear dialog-", "Error", MB_OK | MB_ICONHAND);
			}
			
			id = DialogBox(hInst, dialog_name, hWnd, (DLGPROC)ClearDlgProc);
				if (id == IDYES) {
					
					if (bNewQ) 
						CreateQuestion(hWnd);
					else
						Unsort(hWnd);
				
				} else
					SendMessage(hWnd, WM_CLOSE, 0, 0);
		}
	}
	return;
}
	
int CanMove(int x, int y)
{
	POINT pt;
	int i;
	
	if (!bMove[x][y] || parts[x][y] == NO)		//Ȃꍇ́Adon't@move
		return DONT_MOVE;
	
	NoPartsPos(&pt);
	
	if (pt.x != x && pt.y != y)
		return DONT_MOVE;
	
	if (pt.x == x) {
		if(pt.y > y) {
			for (i=y+1; i<pt.y; i++) {
				if (!bMove[x][i])
					return DONT_MOVE;
			}
			return BOTTOM;
		} else {
			for (i=pt.y+1; i<y; i++) {
				if (!bMove[x][i])
					return DONT_MOVE;
			}
			return TOP;
		}
	}
	
	if (pt.y == y) {
		if(pt.x > x) {
			for (i=x+1; i<pt.x; i++) {
				if (!bMove[i][y])
					return DONT_MOVE;
			}
			return RIGHT;
		} else {
			for (i=pt.x+1; i<x; i++) {
				if (!bMove[i][y])
					return DONT_MOVE;
			}
			return LEFT;
		}
	}
	
	return DONT_MOVE;
}

BOOL NoPartsPos(POINT *pt)
{
	int i, j;
	
	for (i=0; i<6; i++) {
		for (j=0; j<6; j++) {						//p[cȂꏊ NoX, NoY ɕۑ
		
			if (parts[i][j] == NO && bMove[i][j]) {
				pt->x = i;
				pt->y = j;
			}
	
		}
	}
	
	return TRUE;
}

void Unsort(HWND hWnd)
{
	int i, j, r;
	POINT pt;
	
	for(i=0; i<unsort_num; i++) {
		
		NoPartsPos(&pt);
		
		for (j=0; j<10; j++) {
			
			r = rand() % 6;
			
			if (i % 2 == 1) {
				
				if (CanMove(pt.x, r)) {
					MoveParts(hWnd, pt.x, r, FALSE);
					break;
				}
				
			} else {
				
				if (CanMove(r, pt.y)) {
					MoveParts(hWnd, r, pt.y, FALSE);
					break;
				}
			}
		}
		
	}
	
	DeleteMyTimer(hWnd);
	
	InitScore();
	InvalidateRect(hWnd, NULL, FALSE);
	 
	return;
}

BOOL MoveParts(HWND hWnd, int x, int y, BOOL bDraw)
{
	int dir, i;
	POINT NoPt, MovePt;
	RECT rc;
	
	dir = CanMove(x, y);
	
	if (dir == DONT_MOVE)
		return FALSE;
	
	NoPartsPos(&NoPt);
	
	for (i=0; i<6; i++) {
		
		switch (dir) {
			case TOP:
				MovePt.x = NoPt.x;
				MovePt.y = NoPt.y + 1;
				break;
			case BOTTOM:
				MovePt.x = NoPt.x;
				MovePt.y = NoPt.y - 1;
				break;
			case LEFT:
				MovePt.x = NoPt.x + 1;
				MovePt.y = NoPt.y;
				break;
			case RIGHT:
				MovePt.x = NoPt.x - 1;
				MovePt.y = NoPt.y;
				break;
		}
		
		parts[NoPt.x][NoPt.y] = parts[MovePt.x][MovePt.y];
		move++;
		
		if (bDraw) {
			rc.top = NoPt.y * PARTS_H + 20;					/**  Re Draw  **/
			rc.bottom = NoPt.y * PARTS_H + PARTS_H + 20;
			rc.right = NoPt.x * PARTS_W + PARTS_W + 60;
			rc.left = NoPt.x * PARTS_W + 60;
			InvalidateRect(hWnd, &rc, FALSE);
		}
		
		if (MovePt.x == x && MovePt.y == y) {
			
			parts[MovePt.x][MovePt.y] = NO;
			
			if (bDraw) {
				rc.top = MovePt.y * PARTS_H + 20;					/**  Re Draw  **/
				rc.bottom = MovePt.y * PARTS_H + PARTS_H + 20;
				rc.right = MovePt.x * PARTS_W + PARTS_W + 60;
				rc.left = MovePt.x * PARTS_W + 60;
				InvalidateRect(hWnd, &rc, FALSE);
			}
		
			break;
		}
		
		NoPt = MovePt;
		
	}
	
	return TRUE;
}

void CreateQuestion(HWND hWnd)
{
	int r, i, j, l, q;
	
	if (level == RANDOM)
		l = rand() % 3;
	else
		l = level - 1;
	
	r = rand() % 3;
	
	q = l*3 + r;
	
	for (i=0; i<6; i++) {
		for (j=0; j<6; j++) {
			parts[i][j] = q_parts[q][i][j];
			bMove[i][j] = q_bMove[q][i][j];
		}
	}
	
	Unsort(hWnd);
	return;
}